package com.ruoyi.ai.mapper;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiOrder;
import org.apache.ibatis.annotations.Param;

/**
 * 订单管理Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiOrderMapper extends BaseMapper<AiOrder> {
    int deleteAiOrderByIds(Long[] ids);

    int deleteAiOrderById(Long id);

    List<AiOrder> selectAiOrderList(AiOrder aiOrder);

    AiOrder getAiOrderByResult(@Param("result") String result);

    BigDecimal getSumAmountByUserId(@Param("userId") String userId);
}
